当前位置: 首页 > Floodlight > 正文

支持OpenFlow 1.3的Floodlight版本发布

支持OpenFlow 1.3的Floodlight版本发布,虽然不是Floodlight官方版本,但是使用Floodlight控制器的朋友可以使用OpenFlow 1.3了。

来自非Floodlight官方的版本,支持OpenFlow 1.3。这个版本被称为Floodlight-plus。发行版说明和源代码可以从 Git repository获得。

要尝试这个支持OpenFlow 1.3的版本,可以使用如下的命令Ant你的环境(需要先安装JDK 1.7

$ git clone https://bitbucket.org/sdnhub/floodlight-plus.git
$ cd floodlight-plus
$ ant
$ ./floodlight.sh

这个版本的代码块使用JOpenFlow代码库实现OpenFlow 1.3线路协议(wire protocol)。

目前的Floodlight-plus代码库可用的应用程序/模块功能是拓扑可视化(topology visualization),虚拟化网络(virtual networking),静态流推送器(static flow pushers),防火墙(firewall)和负载均衡器(loadbanlancer)。

支持和其它问题可以访问Floodlight-plus的论坛:Floodlight-plus forum

本文固定链接: http://sdnhub.cn/index.php/floodlight-plus-support-openflow1-3/ | 软件定义网络SDN

该日志由 sdnhub 于2014年05月13日发表在 Floodlight 分类下, 你可以发表评论,并在保留原文地址及作者的情况下引用到你的网站或博客。
原创文章转载请注明: 支持OpenFlow 1.3的Floodlight版本发布 | 软件定义网络SDN
关键字: ,

支持OpenFlow 1.3的Floodlight版本发布:等您坐沙发呢!

发表评论

*

快捷键:Ctrl+Enter